Adds a truncated cone-shaped polysurface to the document.
Rhino.AddTruncatedCone (arrPoint, dblRadius1, dblHeight, dblRadius2 [, blnCap])
Rhino.AddTruncatedCone (arrPlane, dblRadius1, dblHeight, dblRadius2 [, blnCap])
arrPoint |
Required. Array. The origin of the truncated cone's base circle. |
arrPlane |
Required. Array. The truncated cone's base plane. The origin of the plane will be the center point of the base circle. |
dblRadius1 |
Required. Number. The radius of the truncated cone's base circle. |
dblHeight |
Required. Number. The height of the truncated cone. |
dblRadius2 |
Required. Number. The radius at the top of the cone. |
blnCap |
Optional. Boolean. Cap the truncated cone. The default is to cap the truncated cone (True). |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrPoint, dblHeight, dblRadius1, dblRadius2
dblHeight = 10.0
dblRadius1 = 5.0
dblRadius2 = 2.0
arrPoint = Rhino.GetPoint("Base of cone")
If IsArray(arrPoint) Then
Rhino.AddTruncatedCone arrPoint, dblRadius1, dblHeight, dblRadius2
End If